Name:           ocaml-xmlm
Version:        1.1.1
Release:        %mkrel 7
Summary:        Streaming XML input/output for OCaml
License:        new-BSD
Group:          Development/OCaml
URL:            http://erratique.ch/software/xmlm
Source0:        http://erratique.ch/software/xmlm/releases/xmlm-%{version}.tbz
BuildRequires:  ocaml-findlib

%description
Xmlm is an OCaml module providing streaming XML input/output. It aims at
making XML processing robust and painless. The streaming interface can
process documents without building an in-memory representation. It lets
the programmer translate its data structures to XML documents and
vice-versa. Functions are provided to easily transform arborescent data
structures to/from XML documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xmlm-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --destdir %{buildroot}

ocaml setup.ml -build 

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/xmlm
ocaml setup.ml -install

%files
%doc README CHANGES
%{_bindir}/xmltrip
%{_libdir}/ocaml/xmlm/META
%{_libdir}/ocaml/xmlm/xmlm.cmi
%{_libdir}/ocaml/xmlm/xmlm.cma
%{_libdir}/ocaml/xmlm/xmlm.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/xmlm/xmlm.cmx
%{_libdir}/ocaml/xmlm/xmlm.cmxa
%{_libdir}/ocaml/xmlm/xmlm.a
%{_libdir}/ocaml/xmlm/xmlm.mli


%changelog

* Sat Apr 06 2013 malo <malo> 1.1.1-7.mga3
+ Revision: 408563
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-6.mga3
+ Revision: 361713
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 blue_prawn <blue_prawn> 1.1.1-5.mga3
+ Revision: 322200
- no change, just a rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.1-4.mga3
+ Revision: 301076
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.1-3.mga3
+ Revision: 300432
- increm mkrel

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.1.1-2.mga3
+ Revision: 299073
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 1.1.1-1.mga3
+ Revision: 279338
- now needs findlib to build
- updated to last version 1.1.1
- adapted to the new build that uses oasis now
- clean the spec file
- removed BuildRoot:

* Tue Dec 13 2011 blue_prawn <blue_prawn> 1.0.2-1.mga2
+ Revision: 181267
- imported package ocaml-xmlm

